%global pypi_name Flask-Bootstrap
%global _description\
FlaskBootstrap packages Bootstrap into an extension that\
mostly consists of a blueprint named 'bootstrap'. It can also create links to\
serve Bootstrap from a CDN and works with no boilerplate code in your\
application

Name:           python-flask-bootstrap
Version:        3.3.7.1
Release:        3%{?dist}
Summary:        Include Bootstrap in your project without boilerplate code

License:        BSD
URL:            https://github.com/mbr/flask-bootstrap
Source0:        https://files.pythonhosted.org/packages/source/F/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
# https://github.com/mbr/flask-bootstrap/issues/169
Source1:        https://raw.githubusercontent.com/mbr/flask-bootstrap/master/LICENSE

BuildArch:      noarch

BuildRequires:  python2-setuptools
BuildRequires:  python2-devel

BuildRequires:  python3-setuptools
BuildRequires:  python3-devel

Provides:       bundled(bootstrap)
Provides:       bundled(jquery)

%description    %_description

%package -n     python2-flask-bootstrap
Summary:        %{summary}
%{?python_provide:%python_provide python2-flask-bootstrap}

Requires:       python2-flask >= 0.8
Requires:       python2-dominate
Requires:       python2-visitor
%description -n python2-flask-bootstrap %_description

%package -n     python3-flask-bootstrap
Summary:        %{summary}
%{?python_provide:%python_provide python3-flask-bootstrap}

Requires:       python3-flask >= 0.8
Requires:       python3-dominate
Requires:       python3-visitor
%description -n python3-flask-bootstrap %_description

%prep
%autosetup -n %{pypi_name}-%{version}
cp %{SOURCE1} .

%build
%py2_build
%py3_build

%install
%py3_install
%py2_install

%files -n python2-flask-bootstrap
%doc README.rst
%license LICENSE
%{python2_sitelib}/flask_bootstrap
%{python2_sitelib}/Flask_Bootstrap-%{version}-py*egg-info

%files -n python3-flask-bootstrap
%doc README.rst
%license LICENSE
%{python3_sitelib}/flask_bootstrap
%{python3_sitelib}/Flask_Bootstrap-%{version}-py*egg-info

%changelog
* Thu Apr 26 2018 David Hannequin david.hannequin@gmail.com - 3.3.7.1-3
- Add license.

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.3.7.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sun Oct 08 2017 David Hannequin david.hannequin@gmail.com - 3.3.7.1-1
- Initial package.
